Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian Kernel (http://www.linux-archive.org/debian-kernel/)
-   -   Bug#517215: 2.6.26 does not detect JMicron SATA controller while 2.6.25 did (http://www.linux-archive.org/debian-kernel/252955-bug-517215-2-6-26-does-not-detect-jmicron-sata-controller-while-2-6-25-did.html)

Christian Hammers 02-26-2009 11:56 AM

Bug#517215: 2.6.26 does not detect JMicron SATA controller while 2.6.25 did
 
Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-11
Severity: important

Hello

After upgrading to linux-image-2.6.26-1-amd64 my computer does not boot
anymore. It seems that the SATA hard drive is beeing detected but not
recognised as block device.

The only suspicious line I could find was:
[ 5.332468] ata_piix 0000:00:1f.2: version 2.12
[ 5.332468] ACPI: PCI Interrupt 0000:00:1f.2[b] -> GSI 19 (level, low) -> IRQ 19
[ 5.332468] ata_piix 0000:00:1f.2: MAP [ P0 -- P1 -- ]
[ 5.332652] PCI: Unable to reserve I/O region #1:8@1f0 for device 0000:00:1f.2
[ 5.332961] ata_piix 0000:00:1f.2: failed to request/iomap BARs for port 0 (errno=-16)
[ 5.332961] PCI: Unable to reserve I/O region #3:8@170 for device 0000:00:1f.2
[ 5.332961] ata_piix 0000:00:1f.2: failed to request/iomap BARs for port 1 (errno=-16)
[ 5.332961] ata_piix 0000:00:1f.2: no available native port

Attached are two dmesg outputs, one from a working 2.6.25-2-amd64 and one from
the above kernel.

$ lsscsi
[2:0:0:0] disk ATA WDC WD2500KS-00M 02.0 /dev/sda
[4:0:0:0] cd/dvd HL-DT-ST DVDRAM GSA-H62N CL00 /dev/scd0

$ lspci
00:00.0 Host bridge: Intel Corporation 82G33/G31/P35/P31 Express DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation 82G33/G31/P35/P31 Express PCI Express Root Port (rev 02)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 02)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 02)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 02)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 02)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 02)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 02)
00:1c.4 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 5 (rev 02)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 02)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 92)
00:1f.0 ISA bridge: Intel Corporation 82801IB (ICH9) LPC Interface Controller (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801IB (ICH9) 2 port SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 02)
00:1f.5 IDE interface: Intel Corporation 82801I (ICH9 Family) 2 port SATA IDE Controller (rev 02)
01:00.0 VGA compatible controller: nVidia Corporation GeForce 8600 GT (rev a1)
03:00.0 SATA controller: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)
03:00.1 IDE interface: JMicron Technologies, Inc. JMicron 20360/20363 AHCI Controller (rev 02)
04:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 01)

The only similar bug reports I could find were 498702, 508235, both against "Marvell"
controllers or with other error messages. I hope someone can figure out the problem.

bye,

-christian-



-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
APT prefers unstable
APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15) (ignored: LC_ALL set to de_DE@euro)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-amd64 depends on:
ii debconf [debconf-2.0] 1.5.24 Debian configuration management sy
ii initramfs-tools [linux-initra 0.92l tools for generating an initramfs
ii module-init-tools 3.4-1 tools for managing Linux kernel mo

linux-image-2.6.26-1-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-1-amd64 suggests:
ii grub 0.97-47lenny1 GRand Unified Bootloader (Legacy v
pn linux-doc-2.6.26 <none> (no description available)

-- debconf information:
linux-image-2.6.26-1-amd64/preinst/bootloader-initrd-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/postinst/old-initrd-link-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/postinst/old-system-map-link-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/preinst/overwriting-modules-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/preinst/lilo-initrd-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/prerm/removing-running-kernel-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/prerm/would-invalidate-boot-loader-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/postinst/bootloader-test-error-2.6.26-1-amd64:
linux-image-2.6.26-1-amd64/preinst/lilo-has-ramdisk:
linux-image-2.6.26-1-amd64/postinst/old-dir-initrd-link-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/preinst/failed-to-move-modules-2.6.26-1-amd64:
linux-image-2.6.26-1-amd64/postinst/create-kimage-link-2.6.26-1-amd64: true
shared/kernel-image/really-run-bootloader: true
linux-image-2.6.26-1-amd64/postinst/kimage-is-a-directory:
linux-image-2.6.26-1-amd64/preinst/initrd-2.6.26-1-amd64:
linux-image-2.6.26-1-amd64/postinst/depmod-error-initrd-2.6.26-1-amd64: false
linux-image-2.6.26-1-amd64/preinst/elilo-initrd-2.6.26-1-amd64: true
linux-image-2.6.26-1-amd64/postinst/bootloader-error-2.6.26-1-amd64:
linux-image-2.6.26-1-amd64/preinst/abort-install-2.6.26-1-amd64:
linux-image-2.6.26-1-amd64/postinst/depmod-error-2.6.26-1-amd64: false
linux-image-2.6.26-1-amd64/preinst/abort-overwrite-2.6.26-1-amd64:



--
To UNSUBSCRIBE, email to debian-kernel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


All times are GMT. The time now is 04:28 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.